immich-go(1)

NAME
immich-go-archive-from-folder - Upload photos from a folder

SYNOPSIS
immich-go archive from-folder [flags] ...

DESCRIPTION
Upload photos from a folder

OPTIONS
--album-path-joiner=" / "
    Specify a string to use when joining multiple folder names to create an album name (e.g. ' ',' - ')

--ban-file='@eaDir/', '@__thumb/', 'SYNOFILETHUMB.', 'Lightroom Catalog/', 'thumbnails/', '.DSStore', '/.*', '.Spotlight-V100/', '.photostructure/', 'Recently Deleted/'
    Exclude a file based on a pattern (case-insensitive). Can be specified multiple times.

--date-from-name[=true]
    Use the date from the filename if the date isn't available in the metadata (Only for jpg, mp4, heic, dng, cr2, cr3, arw, raf, nef, mov)

--date-range=unset
    Only import photos taken within the specified date range

--exclude-extensions=
    Comma-separated list of extension to exclude. (e.g. .gif,.PM) (default: none)

--folder-as-album=NONE
    Import all files in albums defined by the folder structure. Can be set to 'FOLDER' to use the folder name as the album name, or 'PATH' to use the full path as the album name

--folder-as-tags[=false]
    Use the folder structure as tags, (ex: the file holiday/summer 2024/file.jpg will have the tag holiday/summer 2024)

-h, --help[=false]
    help for from-folder

--ignore-sidecar-files[=false]
    Don't upload sidecar with the photo.

--include-extensions=
    Comma-separated list of extension to include. (e.g. .jpg,.heic) (default: all)

--include-type=
    Single file type to include. (VIDEO or IMAGE) (default: all)

--into-album=""
    Specify an album to import all files into

--recursive[=true]
    Explore the folder and all its sub-folders

OPTIONS INHERITED FROM PARENT COMMANDS
--concurrent-tasks=16
    Number of concurrent tasks (1-20)

--config=""
    config file (default is ./immich-go.yaml)

--dry-run[=false]
    dry run

-l, --log-file=""
    Write log messages into the file

--log-level="INFO"
    Log level (DEBUG|INFO|WARN|ERROR), default INFO

--log-type="text"
    Log formatted as text of JSON file

--on-errors=stop
    What to do when an error occurs (stop, continue, accept N errors at max)

--save-config[=false]
    Save the configuration to immich-go.yaml

-w, --write-to-folder=""
    Path where to write the archive

SEE ALSO
immich-go-archive(1)

HISTORY
28-Mar-2026 Auto generated by spf13/cobra